uFRSimple

## Class UFRSimple

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - uFRSimple.UFRSimple

All Implemented Interfaces:
  java.awt.event.FocusListener, java.awt.event.KeyListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

Direct Known Subclasses:
  UFRSimpleDeclaration

    public class UFRSimple
    extends javax.swing.JFrame
    implements java.awt.event.KeyListener, java.awt.event.FocusListener

Version:
  1.6
Author:
  VladanS
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`(package private) class` `UFRSimple.ThreadMain`

### Nested classes/interfaces inherited from class javax.swing.JFrame

`javax.swing.JFrame.AccessibleJFrame`

### Nested classes/interfaces inherited from class java.awt.Frame

`java.awt.Frame.AccessibleAWTFrame`

### Nested classes/interfaces inherited from class java.awt.Window

`java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

### Nested classes/interfaces inherited from class java.awt.Container

`java.awt.Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

### Field Summary

Fields
`private static java.lang.String` `ANY_DATA`
`private static java.lang.String` `APPROPRIATE_FORMAT`
`private static int` `AUTH1A`
`private static int` `AUTH1B`
`private byte[]` `baReadUserData`
`private byte` `bKeyIndex`
`private boolean` `boCONN`
`private boolean` `boFunctionOn`
`private boolean` `boReaderStop`
`private boolean` `boThreadStart`
`private boolean` `boThreadStop`
`private javax.swing.JButton` `btnFormatCardKeys`
`private javax.swing.JButton` `btnFormatReaderKey`
`private javax.swing.ButtonGroup` `btngAUTH1AB`
`private javax.swing.JButton` `btnLinearRead`
`private javax.swing.JButton` `btnLinearWrite`
`private javax.swing.JButton` `btnReaderUISignal`
`private javax.swing.JComboBox` `cboLightMode`
`private javax.swing.JComboBox` `cboSoundMode`
`private javax.swing.JCheckBox` `chkNewCardKeys`
`private javax.swing.JCheckBox` `chkNewReaderKey`
`private static int` `DL_OK`
`private static int` `ERR_LIGHT`
`private static int` `ERR_SOUND`
`(package private) java.util.concurrent.ExecutorService` `exec`
`private byte[]` `iCardId`
`private int[]` `iCardSerial`
`private int[]` `iReaderSerial`
`private int[]` `iReaderType`
`private int` `iResult`
`private javax.swing.JScrollPane` `jScrollPane1`
`private javax.swing.JScrollPane` `jScrollPane2`
`private javax.swing.JLabel` `lblBytesRead`
`private javax.swing.JLabel` `lblBytesWritten`
`private javax.swing.JLabel` `lblCardType`
`private javax.swing.JLabel` `lblKeyA`
`private javax.swing.JLabel` `lblKeyB`
`private javax.swing.JLabel` `lblKeyIndex`
`private javax.swing.JLabel` `lblLightMode`
`private javax.swing.JLabel` `lblLRDataLength`
`private javax.swing.JLabel` `lblLRLinearAddress`
`private javax.swing.JLabel` `lblLWDataLength`
`private javax.swing.JLabel` `lblLWLinearAddress`
`private javax.swing.JLabel` `lblReadData`
`private javax.swing.JLabel` `lblReaderSerial`
`private javax.swing.JLabel` `lblReaderType`
`private javax.swing.JLabel` `lblReaderType3`
`private javax.swing.JLabel` `lblSectorsFormatted`
`private javax.swing.JLabel` `lblSoundMode`
`private javax.swing.JLabel` `lblWriteData`
`private static int` `LINEAR_MAX_BYTES`
`private javax.swing.JMenuItem` `mnuExitItems`
`private javax.swing.JMenu` `mnuFileItem`
`private javax.swing.JMenuBar` `mnuMeni`
`private static java.lang.String` `NEW_CARD_KEY_A`
`private static java.lang.String` `NEW_CARD_KEY_B`
`private static java.lang.String` `NEW_READER_KEY`
`private javax.swing.JTabbedPane` `pgCardReaderKeys`
`private javax.swing.JTabbedPane` `pgLinearReadWrite`
`private javax.swing.JPanel` `pnlAUTH1AB`
`private javax.swing.JPanel` `pnlFormat`
`private javax.swing.JPanel` `pnlNewCardKeys`
`private javax.swing.JPanel` `pnlNewReaderKey`
`private javax.swing.JPanel` `pnlReader`
`private javax.swing.JPanel` `pnlSep1`
`private javax.swing.JRadioButton` `rbAUTH1A`
`private javax.swing.JRadioButton` `rbAUTH1B`
`private static int` `RES_LIGHT_OK`
`private static int` `RES_SOUND_OK`
`private javax.swing.JLabel` `stbCard_Code`
`private javax.swing.JLabel` `stbCard_Explain`
`private javax.swing.JLabel` `stbCardStatus`
`private javax.swing.JPanel` `stbCardStatusPanel`
`private javax.swing.JLabel` `stbConnection`
`private javax.swing.JLabel` `stbFunction_error`
`private javax.swing.JPanel` `stbFunctionError`
`private javax.swing.JLabel` `stbFunctionErrorCode`
`private javax.swing.JLabel` `stbFunctionErrorExplain`
`private javax.swing.JPanel` `stbReader`
`private javax.swing.JLabel` `stbReaderCode`
`private javax.swing.JLabel` `stbReaderExplain`
`private javax.swing.JPanel` `tabLinearRead`
`private javax.swing.JPanel` `tabLinearWrite`
`private javax.swing.JTextField` `TB`
`private javax.swing.JTextField` `txtBytesRead`
`private javax.swing.JTextField` `txtBytesWritten`
`private javax.swing.JTextField` `txtCardSerial`
`private javax.swing.JTextField` `txtCardType`
`private javax.swing.JLabel` `txtKeyIndex`
`private javax.swing.JTextArea` `txtLinearRead`
`private javax.swing.JTextField` `txtLRDataLength`
`private javax.swing.JTextField` `txtLRLinearAddress`
`private javax.swing.JTextField` `txtLWDataLength`
`private javax.swing.JTextField` `txtLWLinearAddress`
`private javax.swing.JTextField` `txtReaderSerial`
`private javax.swing.JTextField` `txtReaderType`
`private javax.swing.JTextField` `txtSectorsFormatted`
`private javax.swing.JTextArea` `txtWriteData`

### Fields inherited from class javax.swing.JFrame

`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

### Fields inherited from class java.awt.Frame

`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface javax.swing.WindowConstants

`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`UFRSimple()`

### Method Summary

Methods
`private void` `btnFormatCardKeysActionPerformed(java.awt.event.ActionEvent evt)`
`private void` `btnFormatReaderKeyActionPerformed(java.awt.event.ActionEvent evt)`
`private void` `btnLinearReadActionPerformed(java.awt.event.ActionEvent evt)`
`private void` `btnLinearWriteActionPerformed(java.awt.event.ActionEvent evt)`
`private void` `btnReaderUISignalActionPerformed(java.awt.event.ActionEvent evt)`
`private void` `chkNewCardKeysItemStateChanged(java.awt.event.ItemEvent evt)`
`private void` `chkNewReaderKeyItemStateChanged(java.awt.event.ItemEvent evt)`
`void` `CreateKey(int iKeyX, int iKeyY, int iKeyHeight, int iKeyWidth, java.lang.String sKeyName, javax.swing.JPanel pnlContainer)`
`void` `focusGained(java.awt.event.FocusEvent e)`
`void` `focusLost(java.awt.event.FocusEvent e)`
`private void` `formWindowClosing(java.awt.event.WindowEvent evt)`
`private void` `formWindowOpened(java.awt.event.WindowEvent evt)`
`private void` `initComponents()`
`void` `keyPressed(java.awt.event.KeyEvent e)`
`void` `keyReleased(java.awt.event.KeyEvent e)`
`void` `keyTyped(java.awt.event.KeyEvent e)`
`static void` `main(java.lang.String[] args)`
`private void` `MainThread()` MainThread for loop
`private void` `mnuExitItemsActionPerformed(java.awt.event.ActionEvent evt)`
`static java.lang.String` `PlatformOsType()` Description PlatformOsType() Linux 1 Windows 2
`private void` `ReaderOff()`
`private void` `ReaderOn()`

### Methods inherited from class javax.swing.JFrame

`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

### Methods inherited from class java.awt.Frame

`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.awt.MenuContainer

`getFont, postEvent`

### Field Detail

#### RES_LIGHT_OK

    private static final int RES_LIGHT_OK

See Also:
  Constant Field Values

#### RES_SOUND_OK

    private static final int RES_SOUND_OK

See Also:
  Constant Field Values

#### ERR_LIGHT

    private static final int ERR_LIGHT

See Also:
  Constant Field Values

#### ERR_SOUND

    private static final int ERR_SOUND

See Also:
  Constant Field Values

#### DL_OK

    private static final int DL_OK

See Also:
  Constant Field Values

#### AUTH1A

    private static final int AUTH1A

See Also:
  Constant Field Values

#### AUTH1B

    private static final int AUTH1B

See Also:
  Constant Field Values

#### LINEAR_MAX_BYTES

    private static final int LINEAR_MAX_BYTES

See Also:
  Constant Field Values

#### ANY_DATA

    private static final java.lang.String ANY_DATA

See Also:
  Constant Field Values

#### APPROPRIATE_FORMAT

    private static final java.lang.String APPROPRIATE_FORMAT

See Also:
  Constant Field Values

#### NEW_CARD_KEY_A

    private static final java.lang.String NEW_CARD_KEY_A

See Also:
  Constant Field Values

#### NEW_CARD_KEY_B

    private static final java.lang.String NEW_CARD_KEY_B

See Also:
  Constant Field Values

#### NEW_READER_KEY

    private static final java.lang.String NEW_READER_KEY

See Also:
  Constant Field Values

#### iResult

    private int iResult

#### bKeyIndex

    private byte bKeyIndex

#### iReaderType

    private int[] iReaderType

#### iReaderSerial

    private int[] iReaderSerial

#### iCardSerial

    private int[] iCardSerial

#### iCardId

    private byte[] iCardId

#### baReadUserData

    private byte[] baReadUserData

#### boCONN

    private boolean boCONN

#### boThreadStop

    private boolean boThreadStop

#### boThreadStart

    private boolean boThreadStart

#### boReaderStop

    private boolean boReaderStop

#### boFunctionOn

    private boolean boFunctionOn

#### TB

    private javax.swing.JTextField TB

#### exec

    java.util.concurrent.ExecutorService exec

#### btnFormatCardKeys

    private javax.swing.JButton btnFormatCardKeys

#### btnFormatReaderKey

    private javax.swing.JButton btnFormatReaderKey

#### btnLinearRead

    private javax.swing.JButton btnLinearRead

#### btnLinearWrite

    private javax.swing.JButton btnLinearWrite

#### btnReaderUISignal

    private javax.swing.JButton btnReaderUISignal

#### btngAUTH1AB

    private javax.swing.ButtonGroup btngAUTH1AB

#### cboLightMode

    private javax.swing.JComboBox cboLightMode

#### cboSoundMode

    private javax.swing.JComboBox cboSoundMode

#### chkNewCardKeys

    private javax.swing.JCheckBox chkNewCardKeys

#### chkNewReaderKey

    private javax.swing.JCheckBox chkNewReaderKey

#### jScrollPane1

    private javax.swing.JScrollPane jScrollPane1

#### jScrollPane2

    private javax.swing.JScrollPane jScrollPane2

#### lblBytesRead

    private javax.swing.JLabel lblBytesRead

#### lblBytesWritten

    private javax.swing.JLabel lblBytesWritten

#### lblCardType

    private javax.swing.JLabel lblCardType

#### lblKeyA

    private javax.swing.JLabel lblKeyA

#### lblKeyB

    private javax.swing.JLabel lblKeyB

#### lblKeyIndex

    private javax.swing.JLabel lblKeyIndex

#### lblLRDataLength

    private javax.swing.JLabel lblLRDataLength

#### lblLRLinearAddress

    private javax.swing.JLabel lblLRLinearAddress

#### lblLWDataLength

    private javax.swing.JLabel lblLWDataLength

#### lblLWLinearAddress

    private javax.swing.JLabel lblLWLinearAddress

#### lblLightMode

    private javax.swing.JLabel lblLightMode

#### lblReadData

    private javax.swing.JLabel lblReadData

#### lblReaderSerial

    private javax.swing.JLabel lblReaderSerial

#### lblReaderType

    private javax.swing.JLabel lblReaderType

#### lblReaderType3

    private javax.swing.JLabel lblReaderType3

#### lblSectorsFormatted

    private javax.swing.JLabel lblSectorsFormatted

#### lblSoundMode

    private javax.swing.JLabel lblSoundMode

#### lblWriteData

    private javax.swing.JLabel lblWriteData

#### mnuExitItems

    private javax.swing.JMenuItem mnuExitItems

#### mnuFileItem

    private javax.swing.JMenu mnuFileItem

#### mnuMeni

    private javax.swing.JMenuBar mnuMeni

#### pgCardReaderKeys

    private javax.swing.JTabbedPane pgCardReaderKeys

#### pgLinearReadWrite

    private javax.swing.JTabbedPane pgLinearReadWrite

#### pnlAUTH1AB

    private javax.swing.JPanel pnlAUTH1AB

#### pnlFormat

    private javax.swing.JPanel pnlFormat

#### pnlNewCardKeys

    private javax.swing.JPanel pnlNewCardKeys

#### pnlNewReaderKey

    private javax.swing.JPanel pnlNewReaderKey

#### pnlReader

    private javax.swing.JPanel pnlReader

#### pnlSep1

    private javax.swing.JPanel pnlSep1

#### rbAUTH1A

    private javax.swing.JRadioButton rbAUTH1A

#### rbAUTH1B

    private javax.swing.JRadioButton rbAUTH1B

#### stbCardStatus

    private javax.swing.JLabel stbCardStatus

#### stbCardStatusPanel

    private javax.swing.JPanel stbCardStatusPanel

#### stbCard_Code

    private javax.swing.JLabel stbCard_Code

#### stbCard_Explain

    private javax.swing.JLabel stbCard_Explain

#### stbConnection

    private javax.swing.JLabel stbConnection

#### stbFunctionError

    private javax.swing.JPanel stbFunctionError

#### stbFunctionErrorCode

    private javax.swing.JLabel stbFunctionErrorCode

#### stbFunctionErrorExplain

    private javax.swing.JLabel stbFunctionErrorExplain

#### stbFunction_error

    private javax.swing.JLabel stbFunction_error

#### stbReader

    private javax.swing.JPanel stbReader

#### stbReaderCode

    private javax.swing.JLabel stbReaderCode

#### stbReaderExplain

    private javax.swing.JLabel stbReaderExplain

#### tabLinearRead

    private javax.swing.JPanel tabLinearRead

#### tabLinearWrite

    private javax.swing.JPanel tabLinearWrite

#### txtBytesRead

    private javax.swing.JTextField txtBytesRead

#### txtBytesWritten

    private javax.swing.JTextField txtBytesWritten

#### txtCardSerial

    private javax.swing.JTextField txtCardSerial

#### txtCardType

    private javax.swing.JTextField txtCardType

#### txtKeyIndex

    private javax.swing.JLabel txtKeyIndex

#### txtLRDataLength

    private javax.swing.JTextField txtLRDataLength

#### txtLRLinearAddress

    private javax.swing.JTextField txtLRLinearAddress

#### txtLWDataLength

    private javax.swing.JTextField txtLWDataLength

#### txtLWLinearAddress

    private javax.swing.JTextField txtLWLinearAddress

#### txtLinearRead

    private javax.swing.JTextArea txtLinearRead

#### txtReaderSerial

    private javax.swing.JTextField txtReaderSerial

#### txtReaderType

    private javax.swing.JTextField txtReaderType

#### txtSectorsFormatted

    private javax.swing.JTextField txtSectorsFormatted

#### txtWriteData

    private javax.swing.JTextArea txtWriteData

### Constructor Detail

#### UFRSimple

    public UFRSimple()

### Method Detail

#### ReaderOff

    private void ReaderOff()

#### ReaderOn

    private void ReaderOn()

#### PlatformOsType

    public static java.lang.String PlatformOsType()

Description PlatformOsType() Linux 1 Windows 2

Parameters:
  `void` -
Returns:
  name .so or .dll file for appropriate platform

#### initComponents

    private void initComponents()

#### CreateKey

    public void CreateKey(int iKeyX,
                 int iKeyY,
                 int iKeyHeight,
                 int iKeyWidth,
                 java.lang.String sKeyName,
                 javax.swing.JPanel pnlContainer)

#### keyTyped

    public void keyTyped(java.awt.event.KeyEvent e)

Specified by:
  `keyTyped` in interface `java.awt.event.KeyListener`

#### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

Specified by:
  `keyPressed` in interface `java.awt.event.KeyListener`

#### keyReleased

    public void keyReleased(java.awt.event.KeyEvent e)

Specified by:
  `keyReleased` in interface `java.awt.event.KeyListener`

#### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

Specified by:
  `focusGained` in interface `java.awt.event.FocusListener`

#### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

Specified by:
  `focusLost` in interface `java.awt.event.FocusListener`

#### MainThread

    private void MainThread()

MainThread for loop

#### mnuExitItemsActionPerformed

    private void mnuExitItemsActionPerformed(java.awt.event.ActionEvent evt)

#### formWindowOpened

    private void formWindowOpened(java.awt.event.WindowEvent evt)

#### formWindowClosing

    private void formWindowClosing(java.awt.event.WindowEvent evt)

#### btnReaderUISignalActionPerformed

    private void btnReaderUISignalActionPerformed(java.awt.event.ActionEvent evt)

#### btnFormatCardKeysActionPerformed

    private void btnFormatCardKeysActionPerformed(java.awt.event.ActionEvent evt)

#### chkNewCardKeysItemStateChanged

    private void chkNewCardKeysItemStateChanged(java.awt.event.ItemEvent evt)

#### chkNewReaderKeyItemStateChanged

    private void chkNewReaderKeyItemStateChanged(java.awt.event.ItemEvent evt)

#### btnFormatReaderKeyActionPerformed

    private void btnFormatReaderKeyActionPerformed(java.awt.event.ActionEvent evt)

#### btnLinearReadActionPerformed

    private void btnLinearReadActionPerformed(java.awt.event.ActionEvent evt)

#### btnLinearWriteActionPerformed

    private void btnLinearWriteActionPerformed(java.awt.event.ActionEvent evt)

#### main

    public static void main(java.lang.String[] args)